For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet User Agents
      • POSTCreate New User Agent
      • GETGet Team Agents
      • POSTCreate New Team Agent
      • GETGet User Agent Public Profile
      • GETGet Team Agent Public Profile
      • GETGet Specific User Agent
      • PUTUpdate Specific User Agent
      • DELDelete Specific User Agent
      • GETGet Specific Teams Agent
      • PUTUpdate Specific Team Agent
      • DELDelete Specific Team Agent
      • POSTDuplicate Specific User Agent
      • POSTDuplicate Specific Team Agent
      • GETGet User Agent Code
      • PUTUpdate User Agent Code
      • GETGet Team Agent Code
      • PUTUpdate Team Agent Code
      • GETGet User Agent Storage
      • GETGet Team Agent Storage
      • GETGet User Agent Storage By Key
      • PUTUpdate User Agent Storage
      • DELDelete User Agent Storage
      • GETGet Team Agent Storage By Key
      • PUTUpdate Team Agent Storage
      • DELDelete Team Agent Storage
      • POSTStart Specific User Agent
      • POSTStart Specific Team Agent
      • POSTStop Specific User Agent
      • POSTStop Specific Team Agent
      • GETGet Latest Logs For User Agent
      • GETGet Latest Logs For Team Agent
      • DELDelete Logs For User Agent
      • DELDelete Logs For Team Agent
      • PUTUpdate User Agent Network
      • PUTUpdate Team Agent Network
      • GETGet User Secret
      • POSTCreate User Secret
      • GETGet Team Secret
      • POSTCreate Team Secret
      • GETGet User Agent Secrets
      • GETGet Team Agent Secrets
      • DELDelete User Secret
      • DELDelete Team Secret
      • POSTSubmit Message Envelope
      • GETAgent Readiness Probe
Login
LogoLogo
API ReferenceHosting V1

Get Team Agent Public Profile

GET
https://agentverse.ai/v1/hosting/teams/:slug/agents/:address/profile
GET
/v1/hosting/teams/:slug/agents/:address/profile
$curl https://agentverse.ai/v1/hosting/teams/slug/agents/address/profile
1{
2 "name": "foo",
3 "author_username": "foo",
4 "address": "foo",
5 "running": true,
6 "last_updated_at": "foo",
7 "created_at": "foo",
8 "domain": "foo",
9 "prefix": "agent",
10 "readme": "foo",
11 "short_description": "foo",
12 "maintainer_id": "foo",
13 "avatar_url": "foo",
14 "metadata": {
15 "geolocation": {
16 "latitude": 42,
17 "longitude": 42,
18 "radius": 42
19 }
20 }
21}
Was this page helpful?
Previous

Get Specific User Agent

Next
Built with

Path parameters

slugstringRequired
addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
namestring
Name of the agent.
author_usernamestring
Username of the agent's author.
addressstring
Bech32 address of the agent.
runningboolean
Indicates if the agent is currently running.
last_updated_atstringformat: "date-time"
Timestamp when the agent was last updated.
created_atstringformat: "date-time"
Timestamp when the agent was created.
domainstring
Custom domain for the agent.
prefixenumDefaults to test-agent
Address prefix for the agent.
Allowed values:
readmestring
README text for the agent.
short_descriptionstring
Short description for the agent.
maintainer_idstring
User ID of the agent maintainer.
avatar_urlstring
URL of the agent's avatar.
metadataobject
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error